## paramiko 1.10.1

=== Makefile ===
release: docs
	python setup.py sdist register upload

docs: paramiko/*
	epydoc --no-private -o docs/ paramiko

clean:
	rm -rf build dist docs
	rm -f MANIFEST *.log demos/*.log
	rm -f paramiko/*.pyc
	rm -f test.log
	rm -rf paramiko.egg-info

test:
	python ./test.py

=== requirements.txt ===
pycrypto
tox

## paramiko 1.7.6

=== debian/changelog ===
paramiko (1.7.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid deprecated RandomPool. Patch by Gary van der Merwe. Closes:
    #576697
  * Switch to source format 3.0 (quilt).
  * Try connecting to each available address family until one succeeds.
    Patch by Andrew Bennetts.  Closes: #602251
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 28 Jan 2011 12:35:12 +0100

paramiko (1.7.6-5) unstable; urgency=low

  * debian/control: Fix python-crypto version dependency
  * debian/rules: Remove simple-patchsys.mk

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 17 Jul 2010 00:00:40 -0400

paramiko (1.7.6-4) unstable; urgency=low

  * Update Standards-Version to 3.9.0
  * debian/control: Add versioned dependency on python-crypto (Closes:
    #479596)
  * debian/control: Build-Depends python-all-dev to python-all

 -- Jeremy T. Bouse <jbouse@debian.org>  Fri, 16 Jul 2010 10:54:06 -0400

paramiko (1.7.6-3) unstable; urgency=medium

  * Add conflict against fabric 0.9.0-1 (Closes: #563490) - thanks to
    Chris Lamb <lamby@debian.org> for being a packaging tool

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 04 Jan 2010 10:12:32 -0500

paramiko (1.7.6-2) unstable; urgency=low

  * debian/control: Fix last remaining lintian warning

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 16 Dec 2009 08:15:36 -0500

paramiko (1.7.6-1) unstable; urgency=low

  * Imported Upstream version 1.7.6 (Closes: #543784)
  * Fix formatting error for __all__ in paramiko/__init__.py (Closes:
    #494836)
  * Update debian/watch syntax
  * Package build clean-up
  * Include docs/ contents with build (LP: #364998)
  * Update Build-Depends
  * debian/control: Update Vcs-* entries

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 15 Dec 2009 09:46:29 -0500

paramiko (1.7.4-0.1) unstable; urgency=medium

  * NMU.
  * New upstream version.
    - Fix random number regression (stop using RandomPool). Closes: #490961.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 14:16:08 +0200

paramiko (1.7.3-1) unstable; urgency=low

  * New upstream version
    Closes: #475505.
  * Acknowledge NMU changes
  * Missing examples included
    Closes: #455547.
  * Confirmed new upstream version corrected FutureWarning
    Closes: #405552.

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 04 May 2008 11:41:27 -0400

paramiko (1.7.2-0.1) unstable; urgency=low

  * Non-maintainer upload to DELAYED/14-day. (¹)
  * New upstream release. (Closes: #415060)
  * Drop the patch introduced in 1.6.4-1.1, as it's part of 1.7.2.

    (¹) Counting since the initial 1.7.1-0.1 upload in Jan 13th.

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 24 Jan 2008 13:54:18 +0100

paramiko (1.6.4-1.1) unstable; urgency=high

  * Non-maintainer upload by security team.
  * Fix insecure use of RandomPool if paramiko is used for threads or multiple
    forked processes. This enables one session to predict random data of
    another session using its own random data.
    (CVE id pending; Closes: #460706).

 -- Nico Golde <nion@debian.org>  Mon, 14 Jan 2008 19:36:40 +0100

paramiko (1.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #344734, #382348).

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 26 Dec 2006 15:48:42 -0500

paramiko (1.5.2-0.1) unstable; urgency=low

  [ Wouter van Heyst ]
  * Non-maintainer upload.
  * New upstream release.
    + Drop python_script_fix.patch and pathmangle.sh, no longer needed.
  * Merge some ubuntu changes.
    + Add watch file.
    + Update copyright file.

 -- Robert Collins <robertc@robertcollins.net>  Fri, 28 Jul 2006 14:26:29 +1000

paramiko (1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix B-D-I/B-D glitches.
  * Update package to the new python policy (Closes: #373472).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 29 Jun 2006 23:00:34 +0200

paramiko (1.5-1) unstable; urgency=low

  * New upstream release.
  * Initial package upload (Closes: #292942).

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 18 Oct 2005 14:57:46 -0700

paramiko (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Guido Guenther <agx@debian.org>  Mon, 31 Jan 2005 11:24:37 +0100

=== debian/control ===
Source: paramiko
Section: python
Priority: optional
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Uploaders: Guido Guenther <agx@debian.org>
Build-Depends: debhelper (>> 7.0.50),
	python-all (>= 2.3.5-11),
	python-support (>= 0.5.3),
	python-crypto (>= 2.1.0-2)
Standards-Version: 3.9.1
Homepage: http://www.lag.net/paramiko/
Vcs-Git: git://git.debian.org/collab-maint/paramiko.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/paramiko.git

Package: python-paramiko
Architecture: all
Depends: ${misc:Depends},
	${python:Depends},
	python-crypto (>= 2.1.0-2)
Provides: ${python:Provides}
Replaces: python2.3-paramiko (<< 1.5-1.1),
	python2.4-paramiko (<< 1.5-1.1)
Conflicts: python2.3-paramiko (<< 1.5-1.1),
	python2.4-paramiko (<< 1.5-1.1),
	fabric (<< 0.9.0-1)
Description: Make ssh v2 connections with Python
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.

=== debian/rules ===
#!/usr/bin/make -f

distcheck = ./test.py

%:
	dh --with python-support $@

override_dh_clean:
	rm -rf build
	dh_clean

override_dh_auto_test:
	./test.py

# Commands not to run
override_dh_installcatalogs override_dh_installcron:
override_dh_installdebconf override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installinit override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck override_dh_installlogrotate:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
http://www.lag.net/paramiko/download/paramiko-(.*)\.tar.gz debian uupdate

## paramiko 1.7.7.1

=== debian/changelog ===
paramiko (1.7.7.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop problematic hostkey.patch (closes: #682050).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 12 Nov 2012 23:14:26 +0000

paramiko (1.7.7.1-3) unstable; urgency=low

  * Accept NMU uploads (Closes: #659007, #668239)
  * Update package to clean up lintian findings
  * debian/source/local-options: set unapply-patches option
  * debian/watch: Don't need to use uupdate with gbp
  * debian/control: Upgrade Debian Standard (no changes needed)

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 09 Jul 2012 11:02:38 -0400

paramiko (1.7.7.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Fix-SSHException-when-re-keying-over-a-fast-connection.patch patch.
    Fix bug "Transfers fail after 1GB; rekeying window too small".
    (Closes: #659007)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Jul 2012 17:09:08 +0200

paramiko (1.7.7.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix broken host key handling when port != 22 (Closes: 668239)

 -- Luk Claes <luk@debian.org>  Thu, 05 Jul 2012 00:38:56 +0000

paramiko (1.7.7.1-2) unstable; urgency=low

  * debian/*: Update build to use dh_python2 (Closes: #637379)
  * Debian package build environment cleanup
  * Acknowledge previous NMU patch that was included in upstream update
    release Thanks Jelmer Vernooij <jelmer@debian.org> (Closes: #611361)

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 02 Oct 2011 13:46:01 -0400

paramiko (1.7.7.1-1) unstable; urgency=low

  * Imported Upstream version 1.7.7.1 (Closes: #627754)
  * debian/patches: Patches included in upstream
  * debian/control: Updated standards version (no change)

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 31 May 2011 21:23:55 -0400

paramiko (1.7.6-6) unstable; urgency=low

  * Add back quilt support NMU removed & update clean target
  * Accept NMU upload. Thanks Jelmer Vernooij <jelmer@debian.org>

 -- Jeremy T. Bouse <jbouse@debian.org>  Sat, 29 Jan 2011 12:02:16 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,7 @@
 #!/usr/bin/make -f
 
-distcheck = ./test.py
-
 %:
-	dh --with python-support $@
-
-override_dh_clean:
-	rm -rf build
-	dh_clean
+	dh $@ --with python2
 
 override_dh_auto_test:
 	./test.py

=== debian/watch ===
version=3
http://www.lag.net/paramiko/download/paramiko-(.*)\.tar.gz

## paramiko 1.10.1

=== debian/changelog ===
paramiko (1.10.1-1git1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:47 +0000

paramiko (1.10.1-1git1) trusty; urgency=low

  Upload current Debian packaging git head.

  [ Jean-Baptiste Lallement ]
  * Add autopkgtest that runs the upstream test suite against the installed
    package. (LP: #1248706)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Nov 2013 14:17:13 +0100

paramiko (1.10.1-1) unstable; urgency=low

  * Imported Upstream version 1.10.1
  * debian/control: Revise debhelper Build-Depends entry
  * debian/{control,watch}: Update for new maintainer and source address
    (Closes: #690080) - thanks to Mike Gabriel <mike.gabriel@das-
    netzwerkteam.de>
  * debian/gbp.conf: Add standard git-buildpackage settings
  * debian/patches/*: Removed patch included in upstream
  * debian/patches/*: Removed hostkey patch that caused problems -
    thanks to Lars Noschinski <lars@public.noschinski.de>
  * debian/*: clean up build files for new version
  * debian/control: Add Build-Depend on python-epydoc
  * debian/patches/*: Add patch to remove upstream Makefile
  * debian/*: Build out separate paramiko-doc package (Closes: #682255)
    - thanks to Touko Korpela <touko.korpela@iki.fi>

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 27 Jun 2013 22:59:08 -0400

=== debian/control ===
Source: paramiko
Section: python
Priority: optional
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Uploaders: Guido Guenther <agx@debian.org>
Build-Depends: debhelper (>> 8),
	python-all (>= 2.6.6-3~),
	python-crypto (>= 2.1.0-2),
	python-setuptools,
	python-epydoc
Standards-Version: 3.9.4
Homepage: https://github.com/paramiko/paramiko/
Vcs-Git: git://git.debian.org/collab-maint/paramiko.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/paramiko.git
XS-Testsuite: autopkgtest

Package: paramiko-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Make ssh v2 connections with Python (Documentation)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the documentation for the package.

Package: python-paramiko
Architecture: all
Depends: ${misc:Depends},
	${python:Depends},
	python-crypto (>= 2.1.0-2)
Provides: ${python:Provides}
Description: Make ssh v2 connections with Python (Python 2)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the Python 2 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,32 @@
 #!/usr/bin/make -f
+
+PYTHON2=$(shell pyversions -vr)
 
 %:
 	dh $@ --with python2
 
-override_dh_auto_test:
-	./test.py
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+test-python%:
+	python$* setup.py test -vv
+
+override_dh_auto_test: $(PYTHON2:%=test-python%)
+endif
+
+build-python%:
+	python$* setup.py build
+
+override_dh_auto_build: $(PYTHON2:%=build-python%)
+	dh_auto_build
+
+install-python%:
+	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
+
+override_dh_auto_install: $(PYTHON2:%=install-python%)
+	dh_auto_install
+
+override_dh_installdocs: 
+	epydoc --no-private -o docs/ paramiko
+	dh_installdocs
 
 # Commands not to run
 override_dh_installcatalogs override_dh_installcron:

=== debian/watch ===
version=3
https://github.com/paramiko/paramiko/tags .*/archive/v(\d[\d\.]*).tar.gz

## paramiko 1.14.1

=== debian/changelog ===
paramiko (1.14.1-1) unstable; urgency=medium

  [ Thomas Kluyver ]
  * Add autopkgtest information

  [ Jeremy T. Bouse ]
  * Include upstream GitHub Pull Request #352 to fix RC bug.
    Thanks to Jelmer Vernooij <jelmer> (Closes: #750517, #755910)
  * Imported Upstream version 1.14.1
  * Revert "Include upstream GitHub Pull Request #352 to fix RC bug"
    as it was included in upstream bug fix release 1.14.1 to remove
    the regression introduced into 1.14.0.

 -- Jeremy T. Bouse <jbouse@debian.org>  Thu, 28 Aug 2014 22:23:51 -0700

paramiko (1.14.0-2) unstable; urgency=low

  * Add extend-diff-ignore to debian/source/options.
    Thanks to Thomas Goirand <zigo>
  * Add python-ecdsa to Build-Depends (Closes: #702571)
  * Add Python 3 support to build.
    Thanks to Thomas Goirand <zigo> (Closes: #697600, #749512)
  * Clean up build environment

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 27 May 2014 21:30:02 -0400

paramiko (1.14.0-1) unstable; urgency=low

  * Imported Upstream version 1.14.0 (Closes: #742005)
  * Update Standards-Version to 3.9.5
  * Fix paramiko-doc overwriting /usr/share/doc-base/python-paramiko.
    Thanks to Felix Geyer <fgeyer@debian.org> (Closes: #718004)
  * debian/patches/*: Removed patch applied upstream
  * debian/control: Move VCS location
  * debian/control: Fix type in paramiko-doc block
  * debian/control: Removed unknown XS-Testsuite

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 11 May 2014 23:01:05 -0400

=== debian/control ===
Source: paramiko
Section: python
Priority: optional
Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Uploaders: Guido Guenther <agx@debian.org>
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>> 9),
	python-all (>= 2.6.6-3~),
	python-crypto (>= 2.1.0-2),
	python-ecdsa,
	python-setuptools,
	python-epydoc,
	python3-all,
	python3-crypto,
	python3-ecdsa,
	python3-setuptools
Standards-Version: 3.9.5
Homepage: https://github.com/paramiko/paramiko/
Vcs-Git: https://github.com/jbouse-debian/paramiko.git
Vcs-Browser: https://github.com/jbouse-debian/paramiko
XS-Testsuite: autopkgtest

Package: paramiko-doc
Package-Type: deb
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: python-paramiko (<< 1.10.1-1~)
Replaces: python-paramiko (<< 1.10.1-1~)
Description: Make ssh v2 connections with Python (Documentation)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the documentation for the package.

Package: python-paramiko
Package-Type: deb
Architecture: all
Depends: python-crypto (>= 2.1.0-2),
	${misc:Depends},
	${python:Depends}
Provides: ${python:Provides}
Description: Make ssh v2 connections with Python (Python 2)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the Python 2 version of the package.

Package: python3-paramiko
Package-Type: deb
Architecture: all
Depends: python3-crypto (>= 2.1.0-2),
	${misc:Depends},
	${python3:Depends}
Provides: ${python3:Provides}
Description: Make ssh v2 connections with Python (Python 3)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

build-python%:
	python$* setup.py build

test-python%:
	python$* setup.py test -vv

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_build: $(PY3VERS:%=build-python%)
	dh_auto_build

override_dh_auto_test: $(PY3VERS:%=test-python%)
	dh_auto_test

override_dh_auto_install: $(PY3VERS:%=install-python%)
	dh_auto_install

override_dh_install:
	dh_install "debian/tmp/usr/lib/python2*" -p python-paramiko
	dh_install "debian/tmp/usr/lib/python3*" -p python3-paramiko
	dh_install

override_dh_installdocs:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	epydoc --no-private -o html/ paramiko
endif
	dh_installdocs

override_dh_clean:
	dh_clean
	rm -rf build
	rm -rf html

# Commands not to run
override_dh_installcatalogs override_dh_installcron:
override_dh_installdebconf override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installinit override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck override_dh_installlogrotate:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## paramiko 1.15.1

=== debian/changelog ===
paramiko (1.15.1-1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Oct 2014 05:30:38 -0400

paramiko (1.15.1-1) unstable; urgency=medium

  * Imported Upstream version 1.15.1
  * Update gbp.conf section headers for newer version
  * Move from epydoc to sphinx for doc build
  * Add patch to localize generated documentation
  * Implement pybuild buildsystem
  * debian/gbp.conf: Update postbuild for git-buildpackage
  * Imported Upstream version 1.15.0
  * Specify minimum required version of ecdsa

 -- Jeremy T. Bouse <jbouse@debian.org>  Tue, 23 Sep 2014 14:07:59 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=paramiko

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build sites/docs html
endif
	dh_installdocs

## paramiko 1.15.2

=== debian/changelog ===
paramiko (1.15.2-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Jul 2015 06:05:10 +0000

paramiko (1.15.2-1) unstable; urgency=medium

  * Imported Upstream version 1.15.2
  * Update Standards-Version (no changes needed)

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 08 Jul 2015 10:35:09 -0400

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>> 9),
+	dh-python,
 	python-all (>= 2.6.6-3~),
 	python-crypto (>= 2.1.0-2),
-	python-ecdsa,
+	python-ecdsa (>= 0.11),
 	python-setuptools,
-	python-epydoc,
+	python-sphinx,
+	python-alabaster,
 	python3-all,
 	python3-crypto,
-	python3-ecdsa,
+	python3-ecdsa (>= 0.11),
 	python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/paramiko/paramiko/
 Vcs-Git: https://github.com/jbouse-debian/paramiko.git
 Vcs-Browser: https://github.com/jbouse-debian/paramiko
@@ -25,7 +27,7 @@
 Package-Type: deb
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
 Breaks: python-paramiko (<< 1.10.1-1~)
 Replaces: python-paramiko (<< 1.10.1-1~)
 Description: Make ssh v2 connections with Python (Documentation)

## paramiko 1.16.0

=== debian/changelog ===
paramiko (1.16.0-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: server-side authentication vulnerability
    - debian/patches/CVE-2018-1000805-pre.patch: fix MSG_UNIMPLEMENTED in
      paramiko/transport.py, added tests to tests/test_transport.py.
    - debian/patches/CVE-2018-1000805.patch: split messages dict in
      paramiko/auth_handler.py, added tests to tests/test_transport.py.
    - debian/control: added python-mock and python3-mock Build-Depends.
    - CVE-2018-1000805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Oct 2018 10:21:27 -0400

paramiko (1.16.0-1ubuntu0.1) xenial-security; urgency=medium

  [Steve Beattie]
  * SECURITY UPDATE: customized clients can skip auth
    - 0004-Fixes-CVE-2018-7750-1175.patch: send message failure if not
      authenticated and message type is a service request
    - 0002-Allow-overriding-test-client-connect-kwargs-in-Trans.patch,
      0003-Initial-tests-proving-CVE-2018-7750-1175.patch:
      add testcases plus prereq
    - CVE-2018-7750

  [ Fabien Tassin ]
  * SECURITY UPDATE: weak diffie-hellman-group1-sha1 kex always preferred (LP: #1728607)
    - 0010-git-c1233679c44-change-order-of-preferred-kex-and-hmac-algorithms.patch
    - 0011-git-b395444062e-Reorder-cipher-and-key-preferences-to-make-more-sense.patch
    Backport of the upstream changes from 2.3.1, matching the OpenSSH 7
    deprecation of diffie-hellman-group1-sha1 (http://www.openssh.com/legacy.html).
    This patch doesn't remove the support of diffie-hellman-group1-sha1 but
    makes it the least preferred kex for backward compatibility

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 15 Mar 2018 14:23:22 -0700

paramiko (1.16.0-1) unstable; urgency=medium

  * Imported Upstream version 1.16.0 (Closes: #816618)
  * Update debian/patches
  * Add Python pyasn1 and gssapi build depends (Closes: #804582)
  * Use upstream test script
  * Update debian/watch to use pypi.debian.net
  * Fix dh_auto_test override
  * Update Standards-Version to 3.9.7, no changes needed
  * Remove unneeded option

 -- Jeremy T. Bouse <jbouse@debian.org>  Mon, 11 Apr 2016 15:47:02 -0400

paramiko (1.15.3-1) unstable; urgency=medium

  * Imported Upstream version 1.15.3

 -- Jeremy T. Bouse <jbouse@debian.org>  Sun, 25 Oct 2015 22:46:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: paramiko
 Section: python
 Priority: optional
-Maintainer: Jeremy T. Bouse <jbouse@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeremy T. Bouse <jbouse@debian.org>
 Uploaders: Guido Guenther <agx@debian.org>
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -10,18 +11,23 @@
 	python-all (>= 2.6.6-3~),
 	python-crypto (>= 2.1.0-2),
 	python-ecdsa (>= 0.11),
+	python-mock,
+	python-pyasn1,
+	python-gssapi,
 	python-setuptools,
 	python-sphinx,
 	python-alabaster,
 	python3-all,
 	python3-crypto,
 	python3-ecdsa (>= 0.11),
+	python3-mock,
+	python3-pyasn1,
+	python3-gssapi,
 	python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/paramiko/paramiko/
 Vcs-Git: https://github.com/jbouse-debian/paramiko.git
 Vcs-Browser: https://github.com/jbouse-debian/paramiko
-XS-Testsuite: autopkgtest
 
 Package: paramiko-doc
 Package-Type: deb

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=paramiko
+export PYBUILD_TEST_ARGS={interpreter} $(CURDIR)/test.py
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -11,3 +13,5 @@
 endif
 	dh_installdocs
 
+override_dh_auto_test:
+	PYBUILD_SYSTEM=custom dh_auto_test

## paramiko 2.0.0

=== debian/changelog ===
paramiko (2.0.0-1ubuntu1) bionic; urgency=medium

  [Steve Beattie]
  * SECURITY UPDATE: customized clients can skip auth
    - 0004-Fixes-CVE-2018-7750-1175.patch: send message failure if not
      authenticated and message type is a service request
    - 0002-Allow-overriding-test-client-connect-kwargs-in-Trans.patch,
      0003-Initial-tests-proving-CVE-2018-7750-1175.patch:
      add testcases plus prereq
    - CVE-2018-7750

  [ Fabien Tassin ]
  * SECURITY UPDATE: weak diffie-hellman-group1-sha1 kex always preferred (LP: #1728607)
    - 0010-git-c1233679c44-change-order-of-preferred-kex-and-hmac-algorithms.patch
    - 0011-git-b395444062e-Reorder-cipher-and-key-preferences-to-make-more-sense.patch
    Backport of the upstream changes from 2.3.1, matching the OpenSSH 7
    deprecation of diffie-hellman-group1-sha1 (http://www.openssh.com/legacy.html).
    This patch doesn't remove the support of diffie-hellman-group1-sha1 but
    makes it the least preferred kex for backward compatibility

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 16 Mar 2018 15:44:26 -0700

paramiko (2.0.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0 (Closes: #826737)
  * Correct email address for patch
  * Update Standards-Version to 3.9.8, no changes needed
  * Update doc file names to match upstream changes
  * Update crypto dependencies
  * Clean up debian/control, debian/rules and lintian issues
  * Upstream bug tracking check (Closes: #783313, #754851)

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 08 Jun 2016 23:56:41 -0400

=== debian/control ===
Source: paramiko
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeremy T. Bouse <jbouse@debian.org>
Uploaders: Guido Guenther <agx@debian.org>
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>> 9),
               dh-python,
               python-alabaster,
               python-all (>= 2.6.6-3~),
               python-cryptography (>= 1.3.1),
               python-ecdsa (>= 0.11),
               python-gssapi,
               python-pyasn1,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-cryptography (>= 1.3.1),
               python3-ecdsa (>= 0.11),
               python3-gssapi,
               python3-pyasn1,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/paramiko/paramiko/
Vcs-Git: https://github.com/jbouse-debian/paramiko.git
Vcs-Browser: https://github.com/jbouse-debian/paramiko

Package: paramiko-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Description: Make ssh v2 connections with Python (Documentation)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the documentation for the package.

Package: python-paramiko
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Suggests: python-gssapi (>= 0.6.1)
Description: Make ssh v2 connections (Python 2)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the Python 2 version of the package.

Package: python3-paramiko
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Suggests: python3-gssapi (>= 0.6.1)
Description: Make ssh v2 connections (Python 3)
 This is a library for making SSH2 connections (client or server).
 Emphasis is on using SSH2 as an alternative to SSL for making secure
 connections between Python scripts.  All major ciphers and hash methods
 are supported.  SFTP client and server mode are both supported too.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_installdocs:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build sites/docs html
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 sphinx-build sites/docs html
 endif
 	dh_installdocs

=== debian/tests/control ===
Tests: upstream
Depends: @
Restrictions: allow-stderr

## paramiko 2.4.0

=== debian/changelog ===
paramiko (2.4.0-1) unstable; urgency=medium

  * Imported Upstream version 2.4.0
  * Update build for 2.4.0 (Closes: #871249, #882322, #698075)

 -- Jeremy T. Bouse <jbouse@debian.org>  Wed, 07 Mar 2018 14:59:55 -0500

## paramiko 2.4.1

=== debian/changelog ===
paramiko (2.4.1-0ubuntu3.2) cosmic-security; urgency=medium

  * debian/tests/control: fix autopkgtest by adding python-mock and
    python3-mock to Depends.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Oct 2018 14:05:07 -0400

paramiko (2.4.1-0ubuntu3.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: server-side authentication vulnerability
    - debian/patches/CVE-2018-1000805-pre.patch: fix MSG_UNIMPLEMENTED in
      paramiko/transport.py, added tests to tests/test_transport.py.
    - debian/patches/CVE-2018-1000805.patch: split messages dict in
      paramiko/auth_handler.py, added tests to tests/test_transport.py.
    - debian/control: added python-mock and python3-mock Build-Depends.
    - CVE-2018-1000805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Oct 2018 08:26:18 -0400

paramiko (2.4.1-0ubuntu3) cosmic; urgency=medium

  * disable-gssapi-on-unsupported-version.patch: Add a patch from Fedora
    to disable gssapi on unsupported version. Needed for freeipa tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Oct 2018 21:42:03 +0300

paramiko (2.4.1-0ubuntu2) cosmic; urgency=medium

  * d/p/add-missing-pub-keys.patch: the public keys used for testing
    are missing from the pypi tarball, but are present in the upstream
    source code. This patch addes them back so that the DEP8 tests can
    pass.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 Aug 2018 12:56:07 -0300

paramiko (2.4.1-0ubuntu1) cosmic; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Aug 2018 16:09:22 +0200

paramiko (2.4.0-1ubuntu3) cosmic; urgency=medium

  * Fix build with pytest 3.6.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Jul 2018 10:28:39 +0200

paramiko (2.4.0-1ubuntu1) cosmic; urgency=medium

  * Run the autopkg tests using pytest.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jul 2018 05:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,25 @@
 X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>> 9),
                dh-python,
-               python-alabaster,
                python-all (>= 2.6.6-3~),
-               python-cryptography (>= 1.3.1),
+               python-pytest,
+               python-cryptography (>= 1.5),
                python-ecdsa (>= 0.11),
-               python-gssapi,
-               python-pyasn1,
+               python-bcrypt (>= 3.1.3),
+               python-mock,
+               python-nacl (>= 1.0.1),
+               python-pyasn1 (>= 0.1.7),
                python-setuptools,
-               python-sphinx,
                python3-all,
-               python3-cryptography (>= 1.3.1),
+               python3-pytest,
+               python3-cryptography (>= 1.5),
                python3-ecdsa (>= 0.11),
-               python3-gssapi,
-               python3-pyasn1,
+               python3-bcrypt (>= 3.1.3),
+               python3-mock,
+               python3-nacl (>= 1.0.1),
+               python3-pyasn1 (>= 0.1.7),
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/paramiko/paramiko/
 Vcs-Git: https://github.com/jbouse-debian/paramiko.git
 Vcs-Browser: https://github.com/jbouse-debian/paramiko

=== debian/tests/control ===
Tests: upstream
Depends: @, python-pytest, python3-pytest, python-mock, python3-mock
Restrictions: allow-stderr

## paramiko 2.4.2

=== debian/changelog ===
paramiko (2.4.2-0.1+deb10u1) buster-security; urgency=high

  * CVE-2022-24302: Prevent a race condition between creation and subsequent
    chmod in the write_private_key_file function which could have allowed
    unauthorised information disclosures.
  * Re-enable testsuite.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Sep 2022 10:32:20 +0100

paramiko (2.4.2-0.1) unstable; urgency=medium

  * New upstream version 2.4.2 (Closes: #892859)
  * Fix autopkgtests (switch to pytest) (Closes: #904635)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 01 Dec 2018 14:30:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: paramiko
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeremy T. Bouse <jbouse@debian.org>
+Maintainer: Jeremy T. Bouse <jbouse@debian.org>
 Uploaders: Guido Guenther <agx@debian.org>
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -13,7 +12,7 @@
                python-cryptography (>= 1.5),
                python-ecdsa (>= 0.11),
                python-bcrypt (>= 3.1.3),
-               python-mock,
+	       python-mock,
                python-nacl (>= 1.0.1),
                python-pyasn1 (>= 0.1.7),
                python-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=paramiko
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## paramiko 2.6.0

=== debian/changelog ===
paramiko (2.6.0-2ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Prefix truncation attack on BPP
    - debian/patches/CVE-2023-48795-*.patch: implement strict key
      exchange.
    - debian/patches/fix_test_on_armhf.patch: fix test failing on armhf.
    - debian/patches/disable_flaky_test.patch: disable flaky
      test_sequence_numbers_reset_on_newkeys_when_strict test.
    - CVE-2023-48795
  * Enable test suite
    - debian/rules: re-enable tests.
    - debian/control: added python3-mock and python3-pytest to B-D.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 12 Jan 2024 07:30:05 -0500

paramiko (2.6.0-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: race condition in write_private_key_file
    - debian/patches/CVE-2022-24302.patch: create file with proper
      permissions in paramiko/pkey.py, tests/test_pkey.py.
    - CVE-2022-24302

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Mar 2022 09:25:44 -0400

paramiko (2.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937238

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jan 2020 19:39:19 -0500

paramiko (2.6.0-1) unstable; urgency=medium

  * New upstream release; Closes: #924178, #851474, #892860
  * Acknowledge NMU: Closes: #892859, #904635
  * debian/control
    - move under DPMT umbrella (with current maintainers blessing)
    - bump b-d on cryptograpy to >= 2.5
    - drop obsolete X-Python*-Version fields
    - bump Standards-Version to 4.4.0 (no changes needed)
    - update Vcs-* fields to point to DPMT repo
    - update long description; Closes: #766893
  * debian/copyright
    - convert to machine-parsable format
    - add myself to copyright (previous contributions were not mentioned)
    - update to new upstream release
  * debian/patches/remove_pytest_relaxed.patch
    - refresh patch
  * debian/source/lintian-overrides
    - update for new jquery.js

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Aug 2019 18:43:04 -0400

=== debian/control ===
Source: paramiko
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jeremy T. Bouse <jbouse@debian.org>, Guido Guenther <agx@debian.org>, Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-pytest,
               python3-cryptography (>= 2.5),
               python3-ecdsa (>= 0.11),
               python3-bcrypt (>= 3.1.3),
               python3-mock <!nocheck>,
               python3-nacl (>= 1.0.1),
               python3-pyasn1 (>= 0.1.7),
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/paramiko/paramiko/
Vcs-Git: https://salsa.debian.org/python-team/modules/paramiko.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/paramiko

Package: paramiko-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Description: Make ssh v2 connections with Python (Documentation)
 "Paramiko" is a combination of the Esperanto words for "paranoid" and "friend".
 It's a module for Python 2.7/3.4+ that implements the SSH2 protocol for secure
 (encrypted and authenticated) connections to remote machines. Unlike SSL (aka
 TLS), SSH2 protocol does not require hierarchical certificates signed by a
 powerful central authority. You may know SSH2 as the protocol that replaced
 Telnet and rsh for secure access to remote shells, but the protocol also
 includes the ability to open arbitrary channels to remote services across the
 encrypted tunnel (this is how SFTP works, for example).
 .
 This is the documentation for the package.

Package: python3-paramiko
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Suggests: python3-gssapi (>= 0.6.1)
Description: Make ssh v2 connections (Python 3)
 "Paramiko" is a combination of the Esperanto words for "paranoid" and "friend".
 It's a module for Python 2.7/3.4+ that implements the SSH2 protocol for secure
 (encrypted and authenticated) connections to remote machines. Unlike SSL (aka
 TLS), SSH2 protocol does not require hierarchical certificates signed by a
 powerful central authority. You may know SSH2 as the protocol that replaced
 Telnet and rsh for secure access to remote shells, but the protocol also
 includes the ability to open arbitrary channels to remote services across the
 encrypted tunnel (this is how SFTP works, for example).
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: upstream
Depends: @, python3-pytest, python3-mock
Restrictions: allow-stderr

## paramiko 2.7.1

=== debian/changelog ===
paramiko (2.7.1-2ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 17 Sep 2020 14:13:52 +0000

paramiko (2.7.1-2ubuntu1) groovy; urgency=medium

  * d/control: Demote python3-invoke from Recommends to Suggests as
    the python-invoke package lacks unit test execution so is not suitable
    for main inclusion (LP: #1892875).

 -- James Page <james.page@ubuntu.com>  Thu, 03 Sep 2020 09:40:05 +0100

paramiko (2.7.1-2) unstable; urgency=medium

  * debian/rules
    - run tests at build-time
  * debian/control
    - add mock, invoke to b-d, needed by tests
    - wrap-and-sort
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/patches/add-tests-configs-directory.patch
    - add tests/configs directory, needed to run successfully the test suite,
      patch by Cesar Tulio Albuquerque de Almeida
  * debian/tests/control
    - install build-depends packages when running autopkgtests; Closes: #960899

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 01:18:03 -0400

paramiko (2.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstrem release (Closes: #955473)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 11 May 2020 21:49:58 -0400

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Jeremy T. Bouse <jbouse@debian.org>, Guido Guenther <agx@debian.org>, Sandro Tosi <morph@debian.org>
+Uploaders: Jeremy T. Bouse <jbouse@debian.org>,
+           Guido Guenther <agx@debian.org>,
+           Sandro Tosi <morph@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
-               python3-pytest,
+               python3-bcrypt (>= 3.1.3),
                python3-cryptography (>= 2.5),
                python3-ecdsa (>= 0.11),
-               python3-bcrypt (>= 3.1.3),
+               python3-invoke <!nocheck>,
                python3-mock <!nocheck>,
                python3-nacl (>= 1.0.1),
                python3-pyasn1 (>= 0.1.7),
                python3-pytest <!nocheck>,
-               python3-setuptools
-Standards-Version: 4.4.1
+               python3-setuptools,
+Standards-Version: 4.5.0
 Homepage: https://github.com/paramiko/paramiko/
 Vcs-Git: https://salsa.debian.org/python-team/modules/paramiko.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/paramiko
@@ -26,7 +28,7 @@
 Architecture: all
 Depends: libjs-jquery,
          libjs-underscore,
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Make ssh v2 connections with Python (Documentation)
  "Paramiko" is a combination of the Esperanto words for "paranoid" and "friend".
  It's a module for Python 2.7/3.4+ that implements the SSH2 protocol for secure
@@ -42,9 +44,9 @@
 Package: python3-paramiko
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
-Provides: ${python3:Provides}
-Suggests: python3-gssapi (>= 0.6.1)
+         ${python3:Depends},
+Provides: ${python3:Provides},
+Suggests: python3-gssapi (>= 0.6.1), python3-invoke
 Description: Make ssh v2 connections (Python 3)
  "Paramiko" is a combination of the Esperanto words for "paranoid" and "friend".
  It's a module for Python 2.7/3.4+ that implements the SSH2 protocol for secure

## paramiko 2.7.2

=== debian/changelog ===
paramiko (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Rebase patches.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Set Rules-Requires-Root: no.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 02 Sep 2020 10:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: paramiko
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jeremy T. Bouse <jbouse@debian.org>,
            Guido Guenther <agx@debian.org>,
            Sandro Tosi <morph@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-bcrypt (>= 3.1.3),
@@ -22,6 +21,7 @@
 Homepage: https://github.com/paramiko/paramiko/
 Vcs-Git: https://salsa.debian.org/python-team/modules/paramiko.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/paramiko
+Rules-Requires-Root: no
 
 Package: paramiko-doc
 Section: doc
@@ -46,7 +46,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
 Provides: ${python3:Provides},
-Suggests: python3-gssapi (>= 0.6.1), python3-invoke
+Recommends: python3-invoke,
+Suggests: python3-gssapi (>= 0.6.1),
 Description: Make ssh v2 connections (Python 3)
  "Paramiko" is a combination of the Esperanto words for "paranoid" and "friend".
  It's a module for Python 2.7/3.4+ that implements the SSH2 protocol for secure

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/paramiko/paramiko-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## paramiko 2.9.3

=== debian/changelog ===
paramiko (2.9.3-0ubuntu1.2~cloud0) focal-yoga; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 25 Jan 2024 13:49:53 +0000

paramiko (2.9.3-0ubuntu1.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Prefix truncation attack on BPP
    - debian/patches/CVE-2023-48795-*.patch: implement strict key
      exchange.
    - debian/patches/fix_test_on_armhf.patch: fix test failing on armhf.
    - debian/patches/disable_flaky_test.patch: disable flaky
      test_sequence_numbers_reset_on_newkeys_when_strict test.
    - CVE-2023-48795

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Jan 2024 13:24:12 -0500

paramiko (2.9.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1968730).
    - Add support for SHA-2 variants of RSA key verification algorithms
      to support openssh >= 8.8p1-1 (Closes: #1007168, LP: #1961979)
  * Refresh patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Apr 2022 16:26:58 +0200

paramiko (2.8.1-1ubuntu3) jammy; urgency=medium

  * SECURITY UPDATE: race condition in write_private_key_file
    - debian/patches/CVE-2022-24302.patch: create file with proper
      permissions in paramiko/pkey.py, tests/test_pkey.py.
    - CVE-2022-24302

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Mar 2022 09:21:29 -0400

paramiko (2.8.1-1ubuntu2) jammy; urgency=medium

  * d/p/thread-setdaemon-deprecation.patch: patch out a deprecation warning
    with Python 3.10 (LP: #1959095)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 26 Jan 2022 11:35:18 +0100

paramiko (2.8.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Dec 2021 10:35:06 +0000

paramiko (2.8.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR1942.patch
    - add upstream PR to fix test_sftp.py failures
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Dec 2021 01:27:04 -0500

paramiko (2.8.0-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Oct 2021 16:18:44 +0100

paramiko (2.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github releases
  * debian/gbp.conf
    - remove gbp.conf file
  * debian/patches/remove_pytest_relaxed.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Fri, 15 Oct 2021 13:33:52 -0400

paramiko (2.7.2-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python3-invoke from Recommends to Suggests as
      the python-invoke package lacks unit test execution so is not suitable
      for main inclusion.

 -- James Page <james.page@ubuntu.com>  Thu, 29 Oct 2020 14:34:26 +0000

=== debian/tests/control ===
Tests: upstream
Depends: @, @builddeps@
Restrictions: allow-stderr
